package com.ruoyi.basicData.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【司机】对象 fleet_driver_msg
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public class FleetDriverMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 驾驶员所属公司id */
    @Excel(name = "驾驶员所属公司id")
    private Long fleetCompanyId;

    /** 驾驶员姓名 */
    @Excel(name = "驾驶员姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 准驾车型 */
    @Excel(name = "准驾车型")
    private String allowDriverCar;

    /** 初次领证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "初次领证日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firstCertificateDate;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idcarNum;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String tel;

    /** 家庭住址 */
    @Excel(name = "家庭住址")
    private String address;

    /** 个人照片 */
    @Excel(name = "个人照片")
    private String resumePic;

    /** 驾驶证照片 */
    @Excel(name = "驾驶证照片")
    private String drivingPic;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creatTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modificationTime;

    /** 状态(1新建，2暂存，6提交) */
    @Excel(name = "状态(1新建，2暂存，6提交)")
    private Long billStatus;

    /** 删除状态 */
    private String delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFleetCompanyId(Long fleetCompanyId) 
    {
        this.fleetCompanyId = fleetCompanyId;
    }

    public Long getFleetCompanyId() 
    {
        return fleetCompanyId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(Integer sex) 
    {
        this.sex = sex;
    }

    public Integer getSex() 
    {
        return sex;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setAllowDriverCar(String allowDriverCar) 
    {
        this.allowDriverCar = allowDriverCar;
    }

    public String getAllowDriverCar() 
    {
        return allowDriverCar;
    }
    public void setFirstCertificateDate(Date firstCertificateDate) 
    {
        this.firstCertificateDate = firstCertificateDate;
    }

    public Date getFirstCertificateDate() 
    {
        return firstCertificateDate;
    }
    public void setIdcarNum(String idcarNum) 
    {
        this.idcarNum = idcarNum;
    }

    public String getIdcarNum() 
    {
        return idcarNum;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setResumePic(String resumePic) 
    {
        this.resumePic = resumePic;
    }

    public String getResumePic() 
    {
        return resumePic;
    }
    public void setDrivingPic(String drivingPic) 
    {
        this.drivingPic = drivingPic;
    }

    public String getDrivingPic() 
    {
        return drivingPic;
    }
    public void setCreatTime(Date creatTime) 
    {
        this.creatTime = creatTime;
    }

    public Date getCreatTime() 
    {
        return creatTime;
    }
    public void setModificationTime(Date modificationTime) 
    {
        this.modificationTime = modificationTime;
    }

    public Date getModificationTime() 
    {
        return modificationTime;
    }
    public void setBillStatus(Long billStatus) 
    {
        this.billStatus = billStatus;
    }

    public Long getBillStatus() 
    {
        return billStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fleetCompanyId", getFleetCompanyId())
            .append("name", getName())
            .append("sex", getSex())
            .append("birthday", getBirthday())
            .append("allowDriverCar", getAllowDriverCar())
            .append("firstCertificateDate", getFirstCertificateDate())
            .append("idcarNum", getIdcarNum())
            .append("tel", getTel())
            .append("address", getAddress())
            .append("resumePic", getResumePic())
            .append("drivingPic", getDrivingPic())
            .append("creatTime", getCreatTime())
            .append("modificationTime", getModificationTime())
            .append("billStatus", getBillStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
